
User Interface - Feature #2306

Feature # 1811 (Closed): implement the AJAX client driver

add copy/paste support to the web client

05/21/2014 09:54 AM - Greg Shah

Status: Closed Start date: 05/21/2014

Priority: Normal Due date:  

Assignee: Marius Gligor % Done: 100%

Category:  Estimated time: 16.00 hours

Target version:    

billable: No vendor_id: GCD

Description

History

#1 - 05/21/2014 09:58 AM - Greg Shah

This is not a 4GL feature, but rather it is meant to provide a mechanism that duplicates what is possible in normal terminal emulators.  As we allow in

the Swing ChUI client:

You can select a rectangular section of the characters on the screen and then you can copy that text into the clipboard.  In the Swing client, we

do this with a popup menu.

You can paste text from the clipboard into the current focus (just like entering keys on the keyboard) using the popup menu.

#2 - 06/25/2014 11:27 AM - Greg Shah

- Assignee set to Marius Gligor

#3 - 06/30/2014 01:52 PM - Marius Gligor

- Status changed from New to WIP

#4 - 07/04/2014 03:53 AM - Marius Gligor

- Status changed from WIP to Review

- % Done changed from 0 to 90

#5 - 07/15/2014 02:50 AM - Marius Gligor

- % Done changed from 90 to 100

committed revision 10570.

#6 - 07/15/2014 08:49 AM - Greg Shah

- Status changed from Review to Closed
